import "./home.modules.css";
import { useNavigate } from 'react-router-dom';
import Trusted from "./components/Trusted";
import Stats from "./components/Stats";
import icon2 from '../../assets/Icon2.png';
import icon1 from '../../assets/Icon1.png';



const Home = () => {
    const navigate = useNavigate();
    

    return (
        <>
            <div className="Introduction">
                <div className="Con1">
                    <img src={icon1} alt="Apply Icon" />
                </div>
                <div className="Con2">
                    <div className="Title">
                        <span className="bold-text">STREAMLINING</span>
                        <span className="regular-text">AND</span>
                        <span className="bold-text">MODERNIZING</span>
                        <span className="regular-text">JOB APPLICATIONS</span>
                    </div>
                    <div className="Description">
                        <p><span className="bold-text">WORKLY.</span> streamlines the job application process by bringing everything into one central system, making it easier for both applicants and employers.</p>
                    </div>
                    <button className="Start" onClick={() => navigate('/Signup')}>START NOW<span className="icon"></span></button>
                </div>
                <div className="Con3">
                    <img src={icon2} alt="Hire Icon" />
                </div>
            </div>
            <Trusted />
            <Stats />
        </>
    );
};

export default Home;