import { useScroll, motion, useTransform, useMotionValueEvent } from "framer-motion";
import './Stats.Modules.css'
import icon3 from '../../../assets/Icon3.png';






const Stats = () => {
    const { scrollY } = useScroll();
    useMotionValueEvent(scrollY, "change", (val) => {
        console.log(val);
    })

    const posY = useTransform(scrollY, [475, 620], ["0px", "-110px"]); 
    const posX = useTransform(scrollY, [200, 475], ["0px", "720px"]); 
    const fadeDown = useTransform(scrollY, [499, 550], ["0px", "50px"]); 
    const fadeUp = useTransform(scrollY, [499, 550], ["50px", "0px"]); 
    const opaDown = useTransform(scrollY, [499, 548], [1, 0]);
    const opaUp = useTransform(scrollY, [499, 548], [0, 1]); 
    const opaImg = useTransform(scrollY, [200, 548], [0, 1]);

  return (
    <div className="Stats">
        <div className="Members">
            <span className="regular-text">MORE THAN</span>
            <div className="Container">
                <div className="Text">
                    <motion.p style={{y: fadeDown, opacity: opaDown}}><span className="bold-text">500</span> ACTIVE<span className="bold-text"> APPLIERS</span></motion.p>
                </div>
                <div className="Text">
                    <motion.p style={{y: fadeUp, opacity: opaUp}}><span className="bold-text">423</span><span className="bold-text"> RECRUITERS</span></motion.p>
                </div>
            </div>
            <motion.div className="Bar" style={{y: posY, width: posX}}/>
            <div className="Description">
                <p>Workly connects over 500 job seekers with 423 recruiters, making hiring easier, faster and smarter.</p>
            </div>
            <div className="Numbers">
                <div className="Number">
                    <div className="Icon"></div>
                    <p>100</p>
                </div>
                <div className="Number">
                    <div className="Icon"></div>
                    <p>100</p>
                </div>
                <div className="Number">
                    <div className="Icon"></div>
                    <p>100</p>
                </div>
            </div>
        </div>
        <motion.img src={icon3} alt="Icon3" style={{opacity: opaImg}}/>
    </div>
  );
};

export default Stats;